body {
    height: 100vh;
    background: #111;
    display: flex;
    justify-content: center;
    align-items: center;
}

a {
    text-decoration: none;
    color: #262626;
    font-family: sans-serif;
    font-size: 40px;
    border: 5px solid #5500FF;
    padding: 40px 80px;
    position: relative;
    transition: color 800ms 200ms;
    background: transparent;
    overflow: hidden;
}

a:before {
    content: '';
    height: 100%;
    width: 100%;
    background: #5500FF;
    position: absolute;
    right: 100%;
    top: 60%;
    transition: all 1s;
    z-index: -1;
}

a:after {
    content: '';
    height: 100%;
    width: 100%;
    background: #002299;
    position: absolute;
    left: 100%;
    top: -60%;
    transition: all 1s;
    z-index: -1;
}

a:hover::before {
    right: 0%;
}

a:hover::after {
    left: 0%;
}

a:hover{
    color: #FFF;
}